| ghc-6.12.3: The GHC API | Contents | Index

RegAlloc.Linear.PPC.FreeRegs

Description
Free regs map for PowerPC
Documentation
data FreeRegs

Constructors

FreeRegs !Word32 !Word32 |

Instances

Show FreeRegs

noFreeRegs :: FreeRegs
releaseReg :: RealReg -> FreeRegs -> FreeRegs
initFreeRegs :: FreeRegs
getFreeRegs :: RegClass -> FreeRegs -> [RealReg]
allocateReg :: RealReg -> FreeRegs -> FreeRegs
Produced by Haddock version 2.6.1